import { connect } from "react-redux"
import { backendURL } from "../../actions"


const UserItem = ({aboutUser = {}}) =>{
        console.log(aboutUser);
    return(
        <div className="flex">
            <div>
            <img src={`${backendURL}/${aboutUser.avatar.url}`} alt="avatar" className="h-60 w-60 rounded-full"/>
            </div>
            
            <h2>{aboutUser.nick}</h2>
        </div>
    )
}

const CUserItem = connect(state=>({aboutUser: state.promise?.aboutUser?.payload || {}}))(UserItem)

export default CUserItem;